curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Project ID
Active IAM ID (To access contact person account) Find your Active IAM ID here
Location
Responses
Section titled “Responses”Successfully retrieved list of deployments.
object
HTTP response status code
object
Unique deployment ID
Model details (nullable)
Dataset associated with the deployment (nullable)
Type of model (nullable)
SKU ID
Name of the deployment
URL for storage (nullable)
URL for dataset storage (nullable)
Deployment status
object
Creator’s user ID
Name of the creator
Email of the creator
Username of the creator
Timestamp when the deployment was created
Timestamp when the deployment was last updated
object
List of arguments
List of commands
Whether info logs are enabled
Whether error logs are enabled
Tokenizer details (nullable)
World size for distributed systems
Whether warning logs are enabled
Server version (nullable)
Hugging Face model ID (nullable)
Model serve type (nullable)
Verbosity level for logs
Number of replicas for the deployment
Framework used for the model
object
object
Name of the container
Type of container (public or private)
object
Liveness probe configuration
object
object
Path for readiness check
Port for readiness probe
Protocol for readiness probe
Period between readiness probe checks
Timeout for readiness probe
Number of failed attempts before marking as unhealthy
Number of successful attempts before marking as healthy
Initial delay before readiness probe starts
Policy for pulling container images
Whether liveness probe is enabled
Whether readiness probe is enabled
Details for private image (if applicable)
object
Whether the deployment has a public IP
object
Disk size for the deployment
Mount path for resources
List of environment variables for the deployment
Success or error message
object
Minimum replicas for auto-scaling
Maximum replicas for auto-scaling
object
Value for scaling condition
Metric for scaling condition
Window size for scaling
Granularity of the metric
Watch period for scaling
Type of condition for scaling
Custom metric name (nullable)
Stability period before scaling
Whether auto-scaling is enabled
Desired number of replicas
Integration ID for model load
object
object
SKU identifier
SKU name
SKU series
Number of CPUs
Number of GPUs
Memory in GB
Whether the SKU is free
Whether the SKU is active
GPU switch type (nullable)
Local storage in GB
object
SKU item price ID
SKU type (e.g., hourly)
Committed days for the plan
Unit price for the SKU
Currency for pricing
Whether the plan is active
Description of the SKU plan
Committed information (nullable)
object
Committed replicas
Private cloud ID (nullable)
Custom SKU details (nullable)
object
Success or error message
Example
{ "code": 200, "data": [ { "id": 3036, "model": null, "dataset": null, "model_type": null, "sku": 162, "name": "tir-endpoint-1115165asd83333", "storage_url": null, "dataset_storage_url": null, "status": "ready", "created_by": { "id": 3573, "name": "Nipun", "email": "nipun.arora@e2enetworks.com", "username": "nipun.arora@e2enetworks.com" }, "created_at": "2024-11-15T11:32:35.527296Z", "updated_at": "2024-11-15T11:40:05.222359Z", "detailed_info": { "args": [], "commands": [], "info_log": true, "error_log": true, "tokenizer": "", "world_size": 1, "warning_log": true, "server_version": "", "hugging_face_id": "", "model_serve_type": "", "log_verbose_level": 1 }, "replica": 1, "framework": "stable_diffusion_xl", "custom_endpoint_details": { "container": { "container_name": "registry.e2enetworks.net/aimle2e/stable-diffusion-xl-base-1.0:hf", "container_type": "public", "advance_config": { "readiness_probe": { "path": "/v2/health/ready", "port": "8080", "protocol": "http", "period_seconds": 10, "timeout_seconds": 10, "failure_threshold": 3, "success_threshold": 1, "initial_delay_seconds": 10 }, "image_pull_policy": "Always", "is_liveness_probe_enabled": false, "is_readiness_probe_enabled": false } }, "public_ip": "no", "resource_details": { "disk_size": 100, "mount_path": "", "env_variables": [] } }, "message": "", "auto_scale_policy": { "min_replicas": 1, "max_replicas": 1, "rules": [ { "value": 100, "metric": "", "window": 1, "granularity": 1, "watch_period": 60, "condition_type": "limit", "custom_metric_name": "" } ], "stability_period": "300" }, "is_auto_scale_enabled": false, "desired_replica": 1, "model_load_integration_id": 428, "sku_details": { "specs": { "sku_id": 162, "name": "GDC.1xH200-30.375GB_SXM", "series": "GPU", "cpu": 30, "gpu": 1, "memory": 375, "is_free": false, "is_active": true, "gpu_switch_type": null, "local_storage_in_gb": 0 }, "plan": { "sku_item_price_id": 755, "sku_type": "hourly", "committed_days": 0, "unit_price": 470.4, "currency": "INR", "is_active": true, "description": "Hourly Compute Instance: inference_service" } }, "committed_info": null, "committed_replicas": 0, "private_cloud_id": null, "custom_sku": null } ], "message": "Success"}